#
# spec file for package avocado
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           avocado
Version:        54.1
Release:        bp153.1.18
Summary:        Avocado Test Framework
License:        GPL-2.0
Group:          Development/Tools/Other
URL:            https://avocado-framework.github.io/
Source:         https://github.com/avocado-framework/avocado/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  procps
BuildRequires:  python-Fabric
BuildRequires:  python-PyYAML
BuildRequires:  python-aexpect
BuildRequires:  python-devel
BuildRequires:  python-docutils
BuildRequires:  python-lxml
BuildRequires:  python-mock
BuildRequires:  python-psutil
BuildRequires:  python-pystache
BuildRequires:  python-requests
BuildRequires:  python-setuptools
BuildRequires:  python-stevedore
BuildRequires:  python3-docutils
BuildRequires:  zypper
BuildRequires:  fdupes
Requires:       gdb
Requires:       gdbserver
Requires:       procps
Requires:       python-Fabric
Requires:       python-PyYAML
Requires:       python-pyliblzma
Requires:       python-pystache
Requires:       python-requests
Requires:       python-stevedore
BuildArch:      noarch

%description
Avocado is a set of tools and libraries (what people call these days a
framework) to perform automated testing.

%prep
%setup -q

%build
python setup.py build
make %{?_smp_mflags} man

%install
python setup.py install --root %{buildroot} --skip-build
rm -rf %{buildroot}%{_datadir}/doc/avocado
%fdupes %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 man/avocado.1 %{buildroot}%{_mandir}/man1/avocado.1
install -m 0644 man/avocado-rest-client.1 %{buildroot}%{_mandir}/man1/avocado-rest-client.1

%files
%doc README.rst LICENSE man/*.rst
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/conf.d
%dir %{_sysconfdir}/%{name}/sysinfo
%dir %{_sysconfdir}/%{name}/scripts
%dir %{_sysconfdir}/%{name}/scripts/job
%dir %{_sysconfdir}/%{name}/scripts/job/post.d
%dir %{_sysconfdir}/%{name}/scripts/job/pre.d
%dir %{_datadir}/%{name}
%dir %{_libexecdir}/%{name}
%config(noreplace)/%{_sysconfdir}/%{name}/avocado.conf
%config(noreplace)/%{_sysconfdir}/%{name}/conf.d/README
%config(noreplace)/%{_sysconfdir}/%{name}/conf.d/gdb.conf
%config(noreplace)/%{_sysconfdir}/%{name}/sysinfo/commands
%config(noreplace)/%{_sysconfdir}/%{name}/sysinfo/files
%config(noreplace)/%{_sysconfdir}/%{name}/sysinfo/profilers
%config(noreplace)/%{_sysconfdir}/%{name}/scripts/job/pre.d/README
%config(noreplace)/%{_sysconfdir}/%{name}/scripts/job/post.d/README
%{python_sitelib}/avocado*
%{_bindir}/avocado
%{_bindir}/avocado-rest-client
%{_datadir}/avocado
%{_mandir}/man1/avocado.1%{ext_man}
%{_mandir}/man1/avocado-rest-client.1%{ext_man}
%{_libexecdir}/%{name}/avocado-bash-utils
%{_libexecdir}/%{name}/avocado_debug
%{_libexecdir}/%{name}/avocado_error
%{_libexecdir}/%{name}/avocado_info
%{_libexecdir}/%{name}/avocado_warn

%changelog
* Thu Jul  6 2017 brogers@suse.com
- Fix build failures due to unresolved reference to rst2man
* Fri Mar 31 2017 brogers@suse.com
- Update to v36.4lts (Long Term Stability)
* Tue Dec 20 2016 brogers@suse.com
- Update to v36.3lts (Long Term Stability)
* Tue Nov 22 2016 brogers@suse.com
- Update to v36.2lts (Long Term Stability)
* Wed May 25 2016 brogers@suse.com
- Update to v36.0lts (Long Term Stability)
* Thu Apr 28 2016 brogers@suse.com
- Update to v35.0 (Yes, the version numbering system changed)
* Wed Mar 23 2016 brogers@suse.com
- Update to v0.34.0
* Thu Feb 18 2016 brogers@suse.com
- Update to v0.33.0
* Fri Jan 22 2016 brogers@suse.com
- Fixed typo in BuildRequires list
* Wed Jan 20 2016 brogers@suse.com
- Update to v0.32.0
* Fri Oct  9 2015 brogers@suse.com
- Update to v0.29.0
* Tue Oct  6 2015 brogers@suse.com
- Changed a Requires package name from pyliblzma to python-pyliblzma
* Tue Oct  6 2015 brogers@suse.com
- Changed a Requires package name from gdb-gdbserver to gdbserver
* Mon Oct  5 2015 brogers@suse.com
- Initial Check-in.
  Initial preping of spec file provided with the upstream git repo
  include conforming package names, license name, and adding needed
  %%dir directives.
  A reference to the dir directory also needed to be changed in
  source code by patching.
  Another patch was needed for an issue in a documentation source
  file.
  I attempted to get the make check to work, but gave up for now,
  and just commented that out of the spec file.
